Bug 37243 - Tag moderation actions should be in the last column
Summary: Tag moderation actions should be in the last column
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: Main
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2024-07-03 11:34 UTC by Owen Leonard
Modified: 2024-07-12 08:22 UTC (History)
0 users

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.11.00


Attachments
Bug 37243: Tag moderation actions should be in the last column (5.20 KB, patch)
2024-07-03 11:46 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 37243: Tag moderation actions should be in the last column (5.26 KB, patch)
2024-07-04 20:55 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2024-07-03 11:34:11 UTC
For consistency's sake the approve and reject buttons on the tag review page should be in the last column of the table.
Comment 1 Owen Leonard 2024-07-03 11:46:30 UTC
Created attachment 168440 [details] [review]
Bug 37243: Tag moderation actions should be in the last column

This patch updates the tag review template to make the "actions" column
the last one in the table. This makes it consistent with other pages in
Koha.

To test you should have TagsEnabled turned on and at least one
pending tag in the system.

- Go to Tools -> Tags.
- Confirm that the "Approve" and "Reject" buttons are in the last column
  of the table.
- Approve a tag and click the "Approved" link the the "Terms summary"
  box in the right-hand sidebar.
- In this view the table has a "Reviewer" column visible. The buttons
  should still be in the last column.

Sponsored-by: Athens County Public Libraries
Comment 2 Chris Cormack 2024-07-04 20:55:53 UTC
Created attachment 168514 [details] [review]
Bug 37243: Tag moderation actions should be in the last column

This patch updates the tag review template to make the "actions" column
the last one in the table. This makes it consistent with other pages in
Koha.

To test you should have TagsEnabled turned on and at least one
pending tag in the system.

- Go to Tools -> Tags.
- Confirm that the "Approve" and "Reject" buttons are in the last column
  of the table.
- Approve a tag and click the "Approved" link the the "Terms summary"
  box in the right-hand sidebar.
- In this view the table has a "Reviewer" column visible. The buttons
  should still be in the last column.

Sponsored-by: Athens County Public Libraries
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 3 Katrin Fischer 2024-07-12 07:51:54 UTC
Picking this from QA queue as an easy one to review :)
Comment 4 Katrin Fischer 2024-07-12 08:22:17 UTC
Pushed for 24.11!

Well done everyone, thank you!